Cards
Replace a card description
Overwrites the content of a specified card within a workspace (team_id).
Accepts either raw HTML or structured content which is proxied to the collaboration server.
PUT
/
{team_id}
/
cards
/
{card_id}
/
content
Overwrite card content
curl --request PUT \
--url https://api.superthread.com/v1/{team_id}/cards/{card_id}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"content_format": "html"
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/cards/{card_id}/content"
payload = {
"content": "<string>",
"content_format": "html"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', content_format: 'html'})
};
fetch('https://api.superthread.com/v1/{team_id}/cards/{card_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Card ID is a numerical string that identifies a card.
Body
application/json
new card content
The content to set on the card
Maximum string length:
102400Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.
Available options:
html, markdown Response
card content successfully updated
⌘I
Overwrite card content
